javax.jdo.spi

## Class RegisterClassEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.jdo.spi.RegisterClassEvent

- All Implemented Interfaces:
    Serializable

      public class RegisterClassEvent
      extends EventObject

  A `RegisterClassEvent` event gets delivered whenever a persistence-capable class registers itself with the `JDOImplHelper`.
  Version:
    1.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `fieldFlags` The flags of managed fields of the persistence-capable class
    `protected String[]` | `fieldNames` The names of managed fields of the persistence-capable class
    `protected Class[]` | `fieldTypes` The types of managed fields of the persistence-capable class
    `protected Class` | `pcClass` The class object of the registered persistence-capable class
    `protected Class` | `persistenceCapableSuperclass`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterClassEvent(JDOImplHelper helper, Class registeredClass, String[] fieldNames, Class[] fieldTypes, byte[] fieldFlags, Class persistenceCapableSuperclass)` Constructs a new `RegisterClassEvent`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getFieldFlags()` Returns the flags of the managed field of the persistence-capable class.
    `String[]` | `getFieldNames()` Returns the names of the managed field of the persistence-capable class.
    `Class[]` | `getFieldTypes()` Returns the types of the managed field of the persistence-capable class.
    `Class` | `getPersistenceCapableSuperclass()` Returns the class object of the persistence-capable superclass.
    `Class` | `getRegisteredClass()` Returns the class object of the registered persistence-capable class.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pcClass

          protected Class pcClass

      The class object of the registered persistence-capable class

    - #### fieldNames

          protected String[] fieldNames

      The names of managed fields of the persistence-capable class

    - #### fieldTypes

          protected Class[] fieldTypes

      The types of managed fields of the persistence-capable class

    - #### fieldFlags

          protected byte[] fieldFlags

      The flags of managed fields of the persistence-capable class

    - #### persistenceCapableSuperclass

          protected Class persistenceCapableSuperclass

  - ### Constructor Detail

    - #### RegisterClassEvent

          public RegisterClassEvent(JDOImplHelper helper,
                                    Class registeredClass,
                                    String[] fieldNames,
                                    Class[] fieldTypes,
                                    byte[] fieldFlags,
                                    Class persistenceCapableSuperclass)

      Constructs a new `RegisterClassEvent`.
      Parameters:
        `helper` - the `JDOImplHelper` instance
        `registeredClass` - the persistence-capable class
        `fieldNames` - the names of the managed fields
        `fieldTypes` - the types of the managed fields
        `fieldFlags` - the flags of the managed fields
        `persistenceCapableSuperclass` - the persistence-capable superclass

  - ### Method Detail

    - #### getRegisteredClass

          public Class getRegisteredClass()

      Returns the class object of the registered persistence-capable class.
      Returns:
        the persistence-capable class.

    - #### getFieldNames

          public String[] getFieldNames()

      Returns the names of the managed field of the persistence-capable class.
      Returns:
        the names of the managed fields

    - #### getFieldTypes

          public Class[] getFieldTypes()

      Returns the types of the managed field of the persistence-capable class.
      Returns:
        the types of the managed fields

    - #### getFieldFlags

          public byte[] getFieldFlags()

      Returns the flags of the managed field of the persistence-capable class.
      Returns:
        the flags of the managed fields

    - #### getPersistenceCapableSuperclass

          public Class getPersistenceCapableSuperclass()

      Returns the class object of the persistence-capable superclass.
      Returns:
        the persistence-capable superclass.

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.